<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>io.seata</groupId>
		<artifactId>seata-build</artifactId>
		<version>1.6.1</version>
	</parent>
	<artifactId>seata-dependencies</artifactId>
	<packaging>pom</packaging>
	<name>Seata dependencies 1.6.1</name>
	<description>dependencies for Seata built with Maven</description>
	<properties>
		<ant.version>1.10.12</ant.version>
		<antlr4.version>4.8</antlr4.version>
		<aopalliance.version>1.0</aopalliance.version>
		<apache-zookeeper.version>3.5.9</apache-zookeeper.version>
		<apollo-client.version>2.0.1</apollo-client.version>
		<archaius-core.version>0.7.6</archaius-core.version>
		<assertj-core.version>3.12.2</assertj-core.version>
		<brpc.version>2.5.9</brpc.version>
		<bytebuddy.version>1.12.13</bytebuddy.version>
		<commons-compress.version>1.19</commons-compress.version>
		<commons-dbcp2.version>2.7.0</commons-dbcp2.version>
		<commons-lang.version>2.6</commons-lang.version>
		<commons-logging.version>1.2</commons-logging.version>
		<config.version>1.2.1</config.version>
		<consul-clients.version>1.4.2</consul-clients.version>
		<curator-test.version>2.9.1</curator-test.version>
		<druid.version>1.2.6</druid.version>
		<dubbo-seata.version>1.0.0</dubbo-seata.version>
		<dubbo.alibaba.version>2.6.5</dubbo.alibaba.version>
		<etcd-client-v3.version>0.5.0</etcd-client-v3.version>
		<eureka-clients.version>1.10.17</eureka-clients.version>
		<fastjson.version>1.2.83</fastjson.version>
		<fst.version>2.57</fst.version>
		<groovy.version>2.4.4</groovy.version>
		<grpc.version>1.27.1</grpc.version>
		<guava.version>27.0.1-jre</guava.version>
		<h2.version>1.4.181</h2.version>
		<hessian.version>4.0.63</hessian.version>
		<hikari.version>3.4.3</hikari.version>
		<hsf.version>1.8.3</hsf.version>
		<jakarta.servlet-api.version>5.0.0</jakarta.servlet-api.version>
		<javax-inject.version>1</javax-inject.version>
		<javax.annotation-api.version>1.3.2</javax.annotation-api.version>
		<javax.servlet-api.version>4.0.1</javax.servlet-api.version>
		<jcommander.version>1.72</jcommander.version>
		<jedis.version>3.2.0</jedis.version>
		<jetty-version>9.4.38.v20210224</jetty-version>
		<jwt.version>0.10.5</jwt.version>
		<kafka-appender.version>0.2.0-RC2</kafka-appender.version>
		<kotlin-coroutines.version>1.4.3</kotlin-coroutines.version>
		<kotlin.version>1.4.32</kotlin.version>
		<kryo-serializers.version>0.45</kryo-serializers.version>
		<kryo.version>5.3.0</kryo.version>
		<logback.version>1.2.9</logback.version>
		<logstash-logback-encoder.version>6.5</logstash-logback-encoder.version>
		<lz4.version>1.7.1</lz4.version>
		<mariadb.version>2.7.2</mariadb.version>
		<mock-jedis.version>0.3.0</mock-jedis.version>
		<mockito.version>2.23.4</mockito.version>
		<motan.version>1.0.0</motan.version>
		<mysql.version>5.1.35</mysql.version>
		<mysql5.version>${mysql.version}</mysql5.version>
		<mysql8.version>8.0.27</mysql8.version>
		<nacos-client.version>1.4.2</nacos-client.version>
		<ojdbc.version>19.3.0.0</ojdbc.version>
		<postgresql.version>42.1.4</postgresql.version>
		<prometheus.client.version>0.6.0</prometheus.client.version>
		<protobuf.version>3.11.4</protobuf.version>
		<protostuff.version>1.5.9</protostuff.version>
		<sofa.registry.version>5.2.0</sofa.registry.version>
		<sofa.rpc.version>5.5.3</sofa.rpc.version>
		<spring-context-support.version>1.0.2</spring-context-support.version>
		<testcontainers.version>1.11.2</testcontainers.version>
		<xstream.version>1.4.19</xstream.version>
		<xz.version>1.8</xz.version>
		<zkclient.version>0.11</zkclient.version>
		<zstd.version>1.5.0-4</zstd.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.junit</groupId>
				<artifactId>junit-bom</artifactId>
				<version>${junit-jupiter.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-framework-bom</artifactId>
				<version>${spring-framework.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-dependencies</artifactId>
				<version>${spring-boot.version}</version>
				<type>pom</type>
				<scope>import</scope>
				<exclusions>
					<exclusion>
						<groupId>org.springframework</groupId>
						<artifactId>spring-framework-bom</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>fastjson</artifactId>
				<version>${fastjson.version}</version>
			</dependency>
			<dependency>
				<groupId>org.antlr</groupId>
				<artifactId>antlr4</artifactId>
				<version>${antlr4.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>druid</artifactId>
				<version>${druid.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-dbcp2</artifactId>
				<version>${commons-dbcp2.version}</version>
			</dependency>
			<dependency>
				<groupId>com.zaxxer</groupId>
				<artifactId>HikariCP</artifactId>
				<version>${hikari.version}</version>
			</dependency>
			<dependency>
				<groupId>com.h2database</groupId>
				<artifactId>h2</artifactId>
				<version>${h2.version}</version>
			</dependency>
			<dependency>
				<groupId>mysql</groupId>
				<artifactId>mysql-connector-java</artifactId>
				<version>${mysql.version}</version>
			</dependency>
			<dependency>
				<groupId>org.postgresql</groupId>
				<artifactId>postgresql</artifactId>
				<version>${postgresql.version}</version>
			</dependency>
			<dependency>
				<groupId>org.mariadb.jdbc</groupId>
				<artifactId>mariadb-java-client</artifactId>
				<version>${mariadb.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alipay.sofa</groupId>
				<artifactId>sofa-rpc-all</artifactId>
				<version>${sofa.rpc.version}</version>
			</dependency>
			<dependency>
				<groupId>io.protostuff</groupId>
				<artifactId>protostuff-core</artifactId>
				<version>${protostuff.version}</version>
			</dependency>
			<dependency>
				<groupId>io.protostuff</groupId>
				<artifactId>protostuff-runtime</artifactId>
				<version>${protostuff.version}</version>
			</dependency>
			<dependency>
				<groupId>com.typesafe</groupId>
				<artifactId>config</artifactId>
				<version>${config.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>${commons-logging.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-lang</groupId>
				<artifactId>commons-lang</artifactId>
				<version>${commons-lang.version}</version>
			</dependency>
			<dependency>
				<groupId>com.google.protobuf</groupId>
				<artifactId>protobuf-java</artifactId>
				<version>${protobuf.version}</version>
			</dependency>
			<dependency>
				<groupId>com.baidu</groupId>
				<artifactId>brpc-java</artifactId>
				<version>${brpc.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>dubbo</artifactId>
				<version>${dubbo.alibaba.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.dubbo.extensions</groupId>
				<artifactId>dubbo-filter-seata</artifactId>
				<version>${dubbo-seata.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba.edas</groupId>
				<artifactId>edas-sdk</artifactId>
				<version>${hsf.version}</version>
				<exclusions>
					<exclusion>
						<groupId>junit</groupId>
						<artifactId>junit</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>net.bytebuddy</groupId>
				<artifactId>byte-buddy</artifactId>
				<version>${bytebuddy.version}</version>
			</dependency>
			<dependency>
				<groupId>aopalliance</groupId>
				<artifactId>aopalliance</artifactId>
				<version>${aopalliance.version}</version>
			</dependency>
			<dependency>
				<groupId>com.101tec</groupId>
				<artifactId>zkclient</artifactId>
				<version>${zkclient.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>slf4j-log4j12</artifactId>
					</exclusion>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty</artifactId>
					</exclusion>
					<exclusion>
						<groupId>zookeeper</groupId>
						<artifactId>org.apache.zookeeper</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.zookeeper</groupId>
				<artifactId>zookeeper</artifactId>
				<version>${apache-zookeeper.version}</version>
				<exclusions>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.curator</groupId>
				<artifactId>curator-test</artifactId>
				<version>${curator-test.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alipay.sofa</groupId>
				<artifactId>registry-client-all</artifactId>
				<version>${sofa.registry.version}</version>
				<exclusions>
					<exclusion>
						<groupId>com.alipay.sofa.lookout</groupId>
						<artifactId>lookout-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.alipay.sofa</groupId>
				<artifactId>registry-test</artifactId>
				<version>${sofa.registry.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>log4j-over-slf4j</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.logging.log4j</groupId>
						<artifactId>log4j-jcl</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.logging.log4j</groupId>
						<artifactId>log4j-core</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.logging.log4j</groupId>
						<artifactId>log4j-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.alibaba.spring</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${spring-context-support.version}</version>
			</dependency>
			<dependency>
				<groupId>com.alibaba.nacos</groupId>
				<artifactId>nacos-client</artifactId>
				<version>${nacos-client.version}</version>
			</dependency>
			<dependency>
				<groupId>com.ctrip.framework.apollo</groupId>
				<artifactId>apollo-client</artifactId>
				<version>${apollo-client.version}</version>
			</dependency>
			<dependency>
				<groupId>redis.clients</groupId>
				<artifactId>jedis</artifactId>
				<version>${jedis.version}</version>
			</dependency>
			<dependency>
				<groupId>com.github.microwww</groupId>
				<artifactId>redis-server</artifactId>
				<version>${mock-jedis.version}</version>
			</dependency>
			<dependency>
				<groupId>com.netflix.eureka</groupId>
				<artifactId>eureka-client</artifactId>
				<version>${eureka-clients.version}</version>
				<exclusions>
					<exclusion>
						<groupId>javax.servlet</groupId>
						<artifactId>servlet-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.netflix.archaius</groupId>
				<artifactId>archaius-core</artifactId>
				<version>${archaius-core.version}</version>
			</dependency>
			<dependency>
				<groupId>com.ecwid.consul</groupId>
				<artifactId>consul-api</artifactId>
				<version>${consul-clients.version}</version>
			</dependency>
			<dependency>
				<groupId>io.etcd</groupId>
				<artifactId>jetcd-core</artifactId>
				<version>${etcd-client-v3.version}</version>
				<exclusions>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty-codec-http</artifactId>
					</exclusion>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty-codec-http2</artifactId>
					</exclusion>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty-handler-proxy</artifactId>
					</exclusion>
					<exclusion>
						<groupId>io.netty</groupId>
						<artifactId>netty-handler</artifactId>
					</exclusion>
					<exclusion>
						<groupId>com.google.guava</groupId>
						<artifactId>guava</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.google.guava</groupId>
				<artifactId>guava</artifactId>
				<version>${guava.version}</version>
			</dependency>
			<dependency>
				<groupId>io.etcd</groupId>
				<artifactId>jetcd-launcher</artifactId>
				<version>${etcd-client-v3.version}</version>
			</dependency>
			<dependency>
				<groupId>org.testcontainers</groupId>
				<artifactId>testcontainers</artifactId>
				<version>${testcontainers.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.inject</groupId>
				<artifactId>javax.inject</artifactId>
				<version>${javax-inject.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.annotation</groupId>
				<artifactId>javax.annotation-api</artifactId>
				<version>${javax.annotation-api.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>javax.servlet-api</artifactId>
				<version>${javax.servlet-api.version}</version>
			</dependency>
			<dependency>
				<groupId>jakarta.servlet</groupId>
				<artifactId>jakarta.servlet-api</artifactId>
				<version>${jakarta.servlet-api.version}</version>
			</dependency>
			<dependency>
				<groupId>com.weibo</groupId>
				<artifactId>motan-core</artifactId>
				<version>${motan.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>slf4j-log4j12</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.weibo</groupId>
				<artifactId>motan-transport-netty</artifactId>
				<version>${motan.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.slf4j</groupId>
						<artifactId>slf4j-log4j12</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.beust</groupId>
				<artifactId>jcommander</artifactId>
				<version>${jcommander.version}</version>
			</dependency>
			<dependency>
				<groupId>io.grpc</groupId>
				<artifactId>grpc-testing</artifactId>
				<version>${grpc.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>io.grpc</groupId>
				<artifactId>grpc-netty</artifactId>
				<version>${grpc.version}</version>
			</dependency>
			<dependency>
				<groupId>io.grpc</groupId>
				<artifactId>grpc-protobuf</artifactId>
				<version>${grpc.version}</version>
			</dependency>
			<dependency>
				<groupId>io.grpc</groupId>
				<artifactId>grpc-stub</artifactId>
				<version>${grpc.version}</version>
			</dependency>
			<dependency>
				<groupId>com.esotericsoftware</groupId>
				<artifactId>kryo</artifactId>
				<version>${kryo.version}</version>
			</dependency>
			<dependency>
				<groupId>de.javakaffee</groupId>
				<artifactId>kryo-serializers</artifactId>
				<version>${kryo-serializers.version}</version>
			</dependency>
			<dependency>
				<groupId>com.caucho</groupId>
				<artifactId>hessian</artifactId>
				<version>${hessian.version}</version>
			</dependency>
			<dependency>
				<groupId>de.ruedigermoeller</groupId>
				<artifactId>fst</artifactId>
				<version>${fst.version}</version>
			</dependency>
			<dependency>
				<groupId>org.tukaani</groupId>
				<artifactId>xz</artifactId>
				<version>${xz.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-compress</artifactId>
				<version>${commons-compress.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.ant</groupId>
				<artifactId>ant</artifactId>
				<version>${ant.version}</version>
			</dependency>
			<dependency>
				<groupId>org.lz4</groupId>
				<artifactId>lz4-java</artifactId>
				<version>${lz4.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-stdlib-common</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-stdlib-jdk7</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-stdlib-jdk8</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-stdlib</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-test-common</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlin</groupId>
				<artifactId>kotlin-test</artifactId>
				<version>${kotlin.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlinx</groupId>
				<artifactId>kotlinx-coroutines-core</artifactId>
				<version>${kotlin-coroutines.version}</version>
			</dependency>
			<dependency>
				<groupId>org.jetbrains.kotlinx</groupId>
				<artifactId>kotlinx-coroutines-core-jvm</artifactId>
				<version>${kotlin-coroutines.version}</version>
			</dependency>
			<dependency>
				<groupId>org.codehaus.groovy</groupId>
				<artifactId>groovy-all</artifactId>
				<version>${groovy.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.junit.jupiter</groupId>
						<artifactId>junit-jupiter-engine</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.junit.platform</groupId>
						<artifactId>junit-platform-launcher</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>com.github.luben</groupId>
				<artifactId>zstd-jni</artifactId>
				<version>${zstd.version}</version>
			</dependency>
			<dependency>
				<groupId>io.jsonwebtoken</groupId>
				<artifactId>jjwt-api</artifactId>
				<version>${jwt.version}</version>
			</dependency>
			<dependency>
				<groupId>io.jsonwebtoken</groupId>
				<artifactId>jjwt-impl</artifactId>
				<version>${jwt.version}</version>
			</dependency>
			<dependency>
				<groupId>io.jsonwebtoken</groupId>
				<artifactId>jjwt-jackson</artifactId>
				<version>${jwt.version}</version>
			</dependency>
			<dependency>
				<groupId>io.prometheus</groupId>
				<artifactId>simpleclient_httpserver</artifactId>
				<version>${prometheus.client.version}</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-classic</artifactId>
				<version>${logback.version}</version>
			</dependency>
			<dependency>
				<groupId>ch.qos.logback</groupId>
				<artifactId>logback-core</artifactId>
				<version>${logback.version}</version>
			</dependency>
			<dependency>
				<groupId>net.logstash.logback</groupId>
				<artifactId>logstash-logback-encoder</artifactId>
				<version>${logstash-logback-encoder.version}</version>
			</dependency>
			<dependency>
				<groupId>com.github.danielwegener</groupId>
				<artifactId>logback-kafka-appender</artifactId>
				<version>${kafka-appender.version}</version>
			</dependency>
			<dependency>
				<groupId>org.mockito</groupId>
				<artifactId>mockito-core</artifactId>
				<version>${mockito.version}</version>
			</dependency>
			<dependency>
				<groupId>org.mockito</groupId>
				<artifactId>mockito-junit-jupiter</artifactId>
				<version>${mockito.version}</version>
			</dependency>
			<dependency>
				<groupId>org.assertj</groupId>
				<artifactId>assertj-core</artifactId>
				<version>${assertj-core.version}</version>
			</dependency>
			<dependency>
				<groupId>com.thoughtworks.xstream</groupId>
				<artifactId>xstream</artifactId>
				<version>${xstream.version}</version>
				<exclusions>
					<exclusion>
						<groupId>org.glassfish.jersey</groupId>
						<artifactId>*</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.eclipse.jetty</groupId>
				<artifactId>jetty-security</artifactId>
				<version>${jetty-version}</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.jetty</groupId>
				<artifactId>jetty-servlet</artifactId>
				<version>${jetty-version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
</project>